Bug 1003615 - splice-debug should be rolled into katello-debug
splice-debug should be rolled into katello-debug
Product: Subscription Asset Manager
Classification: Red Hat
Component: Splice (Show other bugs)
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Splice Developers
Depends On:
Blocks: sam20-tracker
  Show dependency treegraph
Reported: 2013-09-02 09:31 EDT by Jan Hutař
Modified: 2017-06-26 16:32 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2017-06-26 16:32:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jan Hutař 2013-09-02 09:31:52 EDT
Description of problem:
splice-debug should create one final archive to be easily submitted, like katello-debug

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. # splice-debug

Actual results:
One file (archive) with all the prepared files should be created and it's name should be printed.

Expected results:
Just a directory is created.

Additional info:
katello-debug does it this way:
# katello-debug
A debug file has been created at /tmp/katello-debug-20130902092654.tar.gz.
Make sure it contains no security sensitive data before making it public!
Comment 1 Chris Duryee 2013-09-23 14:48:24 EDT
These files should be captured as part of katello-debug, so users do not have to run two scripts.
Comment 2 Bryan Kearney 2017-06-26 16:32:04 EDT
The release of Satellite 5.8 we are deprecating the support of Subscription Asset Manager. The release notes for 5.8 can be found at https://access.redhat.com/documentation/en-us/red_hat_satellite/5.8/pdf/release_notes/Red_Hat_Satellite-5.8-Release_Notes-en-US.pdf.

I am therefore closing out this bug as WONTFIX. If you believe this to be an error, please feel free tor each out to either Rich Jerrido or Bryan Kearney. Thank you!

Note You need to log in before you can comment on or make changes to this bug.